:root {
    /* Colors */
    --primary-color: #0e17af; 
    --secondary-color: #00edff; 
    --tertiary-color: #fff; 
    --fourth-color: #e84e1b;  
    --fifth-color: #343a40;  
  
    /* Containers */
    --container-color-primary: #fff;
    --container-color-secondary: #01adce;
    --container-color-tertiary: #eceff1;
  
    /* Fonts */
    --primary-font: 'Roboto', sans-serif;
    --secondary-font: 'Cabin', sans-serif;
    --tertiary-font: 'SUSE', sans-serif;
    --fourth-font: 'Poppins', sans-serif;
  
    /* Font Sizes */
    --font-size-small: 0.875rem; /* 14px */
    --font-size-medium: 1rem; /* 16px */
    --font-size-large: 1.25rem; /* 20px */
    --font-size-xlarge: 1.5rem; /* 24px */
    --font-size-icons: 4rem; /* 64px */
  }
  
      
      /* animaciones */
      
      body {
        overflow-x:hidden;
      }
      
      .header{
        padding-left: 10px;
        padding-right: 10px;
        }
  
  /* HERO */
  .hero {
    min-height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 2rem;
    position: relative;
    background: linear-gradient(-45deg, #ee7752, #e73c7e, #23a6d5, #23d5ab);
    background-size: 400% 400%;
    animation: gradient 15s ease infinite;
    color: rgb(255, 255, 255);
    text-align: center;
  }
  
  @keyframes gradient {
    0% {
        background-position: 0% 50%;
    }
    50% {
        background-position: 100% 50%;
    }
    100% {
        background-position: 0% 50%;
    }
  }
  
  .hero-content {
    max-width: 800px;
    z-index: 2;
  
  
  }
  
  .hero h1 {
    font-size: 4rem;
    margin-bottom: 1.5rem;
    font-weight: 800;
    line-height: 1.2;
    font-family: var(--primary-font);
  }
  
  .hero p {
    font-size: 1.25rem;
    margin-bottom: 2rem;
    opacity: 0.9;
    font-family: var(--secondary-font);
  }
  
  .cta-button {
    display: inline-block;
    padding: 1rem 2rem;
    background: white;
    color: var( --fifth-color);
    text-decoration: none;
    border-radius: 50px;
    font-weight: 600;
    transition: transform 0.3s ease;
    font-family: var( --fourth-font);
  }
  
  .cta-button:hover {
    transform: translateY(-3px);
  }
  
  /* Animaciones */
  @keyframes fadeIn {
    from { opacity: 0; transform: translateY(20px); }
    to { opacity: 1; transform: translateY(0); }
  }
  
  .fade-in {
    animation: fadeIn 0.6s ease-out forwards;
  }
  
  /* Scrollbar personalizado */
  ::-webkit-scrollbar {
    width: 10px;
  }
  
  ::-webkit-scrollbar-track {
    background: var(--background);
  }
  
  ::-webkit-scrollbar-thumb {
    background: var(--primary);
    border-radius: 5px;
  }
  
  /* Sección de Estadísticas */
  .stats {
    padding: 1.5rem 2rem;
    background: white;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
    gap: 1.5rem;
    max-width: 900px;
    margin: -65px auto 0;
    border-radius: 20px;
    box-shadow: 0 20px 20px rgba(0, 0, 0, 0.1);
    position: relative;
    z-index: 2;
    height: 140px;
  }
  
  .stat-item {
    text-align: center;
    /* padding: .5rem; */
  }
  
  .stat-number {
    font-size: 2.5rem;
    font-weight: 700;
    color: var(--fifth-color);
    /* margin-bottom: 0.5rem; */
    font-family: var(--fourth-font);
  }
  
  .stat-label{
    font-family: var(--fourth-font);
  }
  
  
  
  @media (max-width: 768px) {
    .stats {
        padding: 1rem; 
        gap: .5rem; 
    }
  
    .stat-number {
        font-size: 2rem; 
    }
  }
  
  @media (max-width: 644px) {
    .stats {
        padding: 1rem;
        gap: .3rem; 
    }
  
    .stat-number {
        font-size: 1.5rem; 
    }
  }
  
  @media (max-width: 768px) {
    .hero h1 {
        font-size: 2.5rem;
    }
    .stat-item {
        padding: 1rem;
    }
  }
  
  
  
  /* ALIADOS ESTRATEGICOS */
  .section-title{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    margin-bottom: 20px;
    padding-top: 90px;
  }
  .section-title h2{
  background-color: var(--container-color-secondary);
  border-radius: 8px;
  color: var(--tertiary-color);
  font-family: var(--primary-font);
  padding: 10px;
  line-height: 1.5;
  font-size: 2rem;
  font-family: 600;
  margin-bottom: 30px;
  
  }
  /* fin titulo principal  */
  
  /* ALIADOS ESTRATEGICOS */
  .timeline-container {
    max-width: 1100px;
    width: 100%;
    padding: 0;
    overflow: hidden;
    margin: 0 auto;
  }
  
  .timeline-title {
  text-align: center;
  font-size: 2.8rem;
  margin-bottom: 40px;
  color: #333;
  font-weight: 600;
  letter-spacing: 1px;
  display: block;
  width: 100%;
  margin: 0 auto 40px;
  }
  
  .timeline {
  display: flex;
  flex-direction: column;
  gap: 0;
  position: relative;
  margin: 0 auto;
  }
  
  .timeline-item {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: 10px;
  position: relative;
  padding: 10px;
  justify-content: center;
  }
  
  .timeline-item:nth-child(even) {
  flex-direction: row-reverse;
  }
  
  .timeline-image {
  width: 150px;
  height: 150px;
  background-size: cover;
  background-position: center;
  border-radius: 50%;
  border: 5px solid #fff;
  box-shadow: 0 5px 20px rgba(0, 0, 0, 0.112);
  transition: transform 0.5s ease, box-shadow 0.5s ease;
  }
  
  .timeline-image:hover {
  transform: scale(1.1);
  box-shadow: 0 15px 40px rgba(0, 0, 0, 0.112);
  }
  
  .timeline-content {
  flex: 1;
  text-align: center;
  background-color: #f8faff;
  padding: 25px;
  border-radius: 12px;
  box-shadow: 0 4px 15px rgba(0, 0, 0, 0.1);
  position: relative;
  transition: all 0.3s ease;
  
  }
  
  .timeline-content:hover {
  background: linear-gradient(145deg, #cce7ff, #e6f2ff);
  transform: translateY(-5px);
  box-shadow: 0 8px 20px rgba(0, 0, 0, 0.15);
  }
  
  .timeline-content h3 {
  margin: 0;
  font-size: 1.8rem;
  color: #000000;
  font-weight: 600;
  font-family: var(--tertiary-font);
  }
  
  .timeline-content p {
  margin: 10px 0 0;
  font-size: 1rem;
  color: #555;
  line-height: 1.5;
  font-family: var(--fourth-font);
  text-align: justify;
  }
  
  .flag {
  width: 40px;
  height: 30px;
  position: absolute;
  top: 10px;
  right: 10px;
  }
  
  .timeline-line {
  position: absolute;
  left: 50%;
  top: 0;
  bottom: 0;
  width: 0;
  height: 2px;
  background-color: #45c4f3d4;
  transform: translateX(-50%);
  transition: width 1s ease;
  }
  
  @media (max-width: 768px) {
  .timeline-item {
    flex-direction: column;
    text-align: center;
    align-items: center;
  }
  
  .timeline-image {
    width: 240px;
    height: 240px;
  }
  
  .timeline-content {
    padding: 20px;
  }
  
  .timeline-title {
    font-size: 2.2rem;
  }
  }
  
  @media (max-width: 480px) {
  .timeline-content {
    padding: 15px;
  }
  
  .timeline-title {
    font-size: 1.8rem;
  }
  
  .timeline-image {
    width: 180px;
    height: 180px;
  }
  
  .flag {
    width: 30px;
    height: 20px;
  }
  }
  
  
  
  
  /* LAS CARDSS LAS CARDS MARTHA */
  /* img {
    display: block;
    max-width: 100%;
    height: auto;
  }
   */
  /*=============== CARD ===============*/
  .container-logos {
    display: grid;
    margin-inline: 1.5rem;
    padding-block: 5rem;
  
    max-width: 1200px;
  
  }
  
  .card__container {
    display: grid;
    grid-template-columns: repeat(3, 1fr); 
    max-width: 1100px;
    margin-left: 28%; /* empuja el contenedor la derecha */
    margin-right: 20px;
    justify-content: right;
    column-gap: 0.75rem;
    row-gap: 1.5rem; /* reduce espacio vertical */
  }
  
  
  .card__article {
    width: 250px;
    height: 150px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
    background-color: rgb(255, 255, 255);
    border: 1px solid var(--fifth-color);
    border-radius: 12px;
    padding: .5rem;
    box-shadow: 0 4px 6px rgba(0,0,0,0.1);
    transition: transform 0.3s ease;
  }
  
  
  .card__img {
    width: 200px;
    justify-self: center;
    filter: drop-shadow(0 8px 24px hsla(170, 12%, 8%, .1));
    transition: transform .4s;
    object-fit: contain;
  }
  
  .card__data {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    transition: transform .4s, opacity .4s;
  }
  
  .card__title {
    font-size: var(--normal-font-size);
    font-weight: 400;
  }
  
  .card__bg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    transform: scale(1.3);
    z-index: -1;
    transition: transform .4s;
  }
  
  
  /* Card animation */
  .card__article:hover .card__img {
    transform: translateY(-1rem);
  }
  
  .card__article:hover .card__data {
    transform: translateY(-4rem);
    opacity: 0;
  }
  
  .card__article:hover {
    background-color: transparent;
  }
  
  .card__article:hover .card__bg {
    transform: scale(1);
  }
  
  @media screen and (max-width: 1024px) {
    .card__container {
      grid-template-columns: repeat(2, 1fr);
      justify-content: center;
      margin-left: auto;
      margin-right: auto;
    }
  }
  
  @media screen and (max-width: 768px) {
    .card__container {
      grid-template-columns: 1fr;
      justify-content: center;
      align-items: center;
      width: 100%;
    }
  
    .card__article {
      width: 100%;
      max-width: 300px;
      margin: 0 auto;
    }
  }
  
  @media screen and (max-width: 480px) {
    .container-logos {
      padding-block: 2rem;
    }
  
    .card__article {
      max-width: 250px;
    }
  }
  
  
  
  /* CARRUSEL */
  .carousel-container {
    position: relative;
    width: 100%;
    overflow: hidden;
    perspective: 1500px;
    padding: 2rem 2rem;
  
    max-width: 900px;
    margin: 0 auto;
    
  }
  
  .carousel-track {
    display: flex;
    width: max-content;
    animation: infiniteScroll 20s linear infinite;
  }
  
  .carousel-track:hover {
    animation-play-state: paused;
  }
  
  .carousel-item {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0 2rem;
    transition: all var(--transition-speed) ease;
    transform-style: preserve-3d;
  }
  
  .carousel-item img {
    width: 150px;
    height: 80px;
    object-fit: contain;
    transition: all 0.4s ease;
    transform: rotateY(45deg) translateZ(-50px);
    backface-visibility: hidden;
  }
  
  .carousel-item img:hover {
    filter: grayscale(0%) brightness(1);
    transform: scale(1.1) rotateY(0) translateZ(50px);
  
  }
  
  @keyframes infiniteScroll {
    0% {
        transform: translateX(0);
    }
    100% {
        transform: translateX(-20%);
    }
  }
  
  .carousel-container::before,
  .carousel-container::after {
    content: '';
    position: absolute;
    top: 0;
    width: 15%;
    height: 100%;
    z-index: 2;
    pointer-events: none;
  }
  
   @media screen and (max-width: 768px) {
    .carousel-item {
        margin: 0 2.5rem;
    }
  
    .carousel-item img {
        width: 100px;
        height: 100px;
        transform: rotateY(20deg) translateZ(-20px);
    }
  
    .carousel-item img:hover {
        transform: scale(1.05) rotateY(0) translateZ(20px);
    }
  }
  
  @media screen and (max-width: 480px) {
    .carousel-item {
        margin: 0 3.25rem;
       
    }
  
    .carousel-item img {
        width: 75px;
        height: 75px;
        transform: rotateY(15deg) translateZ(-10px);
  
    }
  
    .carousel-item img:hover {
        transform: scale(1.05) rotateY(0) translateZ(10px);
    }
  
    @keyframes infiniteScroll {
        0% { transform: translateX(0); }
        100% { transform: translateX(-20%); }
    }
  }
  
 
  /* footer */
  .footer{
    margin-top: 50px;
    padding-top: 20px;
    padding-bottom: 20px;
    background-color: var(--container-color-tertiary);
  }
  
  .title-card h1{
    font-size: 30px;
    color: #37517e;
    font-weight: 700;
    margin-bottom: 10px;
  }
  .space{
    margin-top: 20px;
  }
  .info-card h5{
    color: #37517e;
    font-weight: 600;
  }
  .info-card strong{
    font-size: 18px;
    color: #37517e;
  }
  .info-card p{
    font-size: 15px;
    font-size: 16px;
  }
  
  .card-header {
    background: linear-gradient(to right, #1e90ff, #00d2ff);
    color: white;
    text-align: center;
    font-size: 1.5rem;
    font-weight: bold;
  }
  .card {
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  }
  .btn-custom {
    background: none;
    border: 2px solid #1e90ff;
    color: #1e90ff;
    border-radius: 20px;
    padding: 10px 20px;
    font-weight: bold;
  }
  .btn-custom:hover {
    background: #1e90ff;
    color: white;
  }
  .stronge{
    font-size: 30px;
    color: #37517e;
    font-weight: 800;
    margin-bottom: 10px;
    font-family: var(--tertiary-font);
  }
  .img-logo{
    width: 100%;
    text-align: center;
  }
  .img-logo img{
    max-width: 200px;
  }
  
  .img-jefe{
    display: flex;
    justify-content: center;
  }
  .img-jefe img{
    display: flex;
    max-width: 200px;
    justify-content: center;
  }
  
  #footer-links-useful{ 
    margin-bottom: 10px;
  }
  #footer-links-useful a{ 
    color: black;
    text-decoration: none;
    font-weight: 300;
  }
  #footer-links-useful i{ 
    color: rgb(55, 142, 255);
  }
  
  .footer-copyright{
    background: linear-gradient(to top, #323741, var(--container-color-tertiary) );
    color: white;
  }